<?php		
	session_start(); // On récupére les données de la session
	if (!isset($_SESSION['Autorisation']) or ($_SESSION['Autorisation'] !=2) )
	{
		header("Location: index.php"); // Si l'acteur de la session n'est pas un admin on retourne à l'accueil'
		exit();
	}
	 
	//accès à la la base de données
	require ('connect/mysqli_connect.php'); // recup connection


	// Export to CSV
	//if($_GET['action'] == 'export') {
		$sql = "Select * FROM acteur";
		$result = mysqli_query($dbcon,$sql);
		if (!$result) 
		{
			die('Requête invalide : ' . mysql_error());
		}

	  $out = '';
	$nbrechamp = mysqli_num_fields($result);
	// Put the name of all fields
	for ($i = 0; $i < $nbrechamp; $i++) 
	  {
	 		$l=mysqli_fetch_field_direct($result, $i)->name;
	 		$out .= '"'.$l.'";';
	  }
	  $out .="\n";
	  // Add all values in the table
	 mysqli_fetch_array($result, MYSQLI_ASSOC);
	 while ($row = mysqli_fetch_array($result, MYSQLI_BOTH))
	 {
		for ($i = 0; $i < $nbrechamp; $i++)
		{
			$toto= $row[$i];
			$out .='"'.$row[$i].'";';
		}
		$out .="\n";
	}
	// Output to browser with appropriate mime type, you choose ;)
	header("Content-type: text/x-csv");
	//header("Content-type: text/csv");
	//header("Content-type: application/csv");
	header('Content-Disposition: attachment; filename="acteurs.csv"');
	echo $out;
	exit;
?>

